Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class RowValException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.ValidationException
                                    |
                                    +--oracle.jbo.RowValException

public class RowValException
extends ValidationException

Indicates that validation of a business object has failed.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`RowValException(java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.String objName, Key key, AttributeDef[] keyCols)` Creates an exception to be localized using a given message bundle and error code.
`RowValException(java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.String objName, Key key, AttributeDef[] keyCols, java.lang.String methodName)` Creates an exception to be localized using a given message bundle and error code.

Methods inherited from class oracle.jbo.ValidationException
`raise`

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RowValException

    public RowValException(java.lang.Class resBundleClass,
                           java.lang.String errorCode,
                           java.lang.String objName,
                           Key key,
                           AttributeDef[] keyCols)

  Creates an exception to be localized using a given message bundle and error code.
  Parameters:
    `bundleClass` - the message bundle.
    `errorCode` - the error code.
    `objName` - the object's name, the first message parameter.
    `key` - the object's key, the second message parameter.

### RowValException

    public RowValException(java.lang.Class resBundleClass,
                           java.lang.String errorCode,
                           java.lang.String objName,
                           Key key,
                           AttributeDef[] keyCols,
                           java.lang.String methodName)

  Creates an exception to be localized using a given message bundle and error code.
  Parameters:
    `bundleClass` - the message bundle.
    `errorCode` - the error code.
    `params` - an array of message parameters.
    `objName` - the object's name, the first message parameter.
    `key` - the object's key, the second message parameter.
    `methodName` - ???.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD